ClientRpcSslOptions
Keywords: net.corda.core.messaging.ClientRpcSslOptions class
Date: 2023-09-18

net.corda.core.messaging

## Class ClientRpcSslOptions

- net.corda.core.messaging.ClientRpcSslOptions

-     public class ClientRpcSslOptions

  As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin

- - ### Constructor Detail

    - #### ClientRpcSslOptions

          public ClientRpcSslOptions(@NotNull
                                     java.nio.file.Path trustStorePath,
                                     @NotNull
                                     java.lang.String trustStorePassword,
                                     @NotNull
                                     java.lang.String trustStoreProvider)

      As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin

  - ### Method Detail

    - #### getTrustStorePath

          @NotNull
          public java.nio.file.Path getTrustStorePath()

    - #### getTrustStorePassword

          @NotNull
          public java.lang.String getTrustStorePassword()

    - #### getTrustStoreProvider

          @NotNull
          public java.lang.String getTrustStoreProvider()

    - #### component1

          @NotNull
          public java.nio.file.Path component1()

    - #### component2

          @NotNull
          public java.lang.String component2()

    - #### component3

          @NotNull
          public java.lang.String component3()

    - #### copy

          @NotNull
          public ClientRpcSslOptions copy(@NotNull
                                                   java.nio.file.Path trustStorePath,
                                                   @NotNull
                                                   java.lang.String trustStorePassword,
                                                   @NotNull
                                                   java.lang.String trustStoreProvider)

      As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin

    - #### toString

          @NotNull
          public java.lang.String toString()

      As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin

    - #### hashCode

          public int hashCode()

      As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      As an RPC Client, use this class to point to the truststore that contains the RPC SSL certificate provided by the node admin